#当前服务的基本信息
microservice:
  ename: @artifactId@
  name: '@name@'
  version: @version@
  sentinel:
    url: @sentinel.url@
  gateway:
    url: @gateway.url@
server:
  port: 10217
  servlet:
    context-path: /job-admin
#feign接口开启服务熔断降级处理
feign:
  sentinel:
    enabled: true
spring:
  application:
    name: @artifactId@
  #nacos注册中心以及配置中心的指定
  cloud:
    nacos:
      discovery:
        ip: @service.server.url@
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
      config:
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
        file-extension: yaml
        shared-configs:
          - data-id: share-config.yaml
            refresh: true
          - data-Id: share-config-datasource-db.yaml
            refresh: true
  ### resources
  resources:
    static-locations: classpath:/static/
  mvc:
    servlet:
      load-on-startup: 0
    static-path-pattern: /static/**
  ### freemarker
  freemarker:
    templateLoaderPath: classpath:/templates/
    suffix: .ftl
    charset: UTF-8
    request-context-attribute: request
    settings:
      number_format: 0.##########
  ### xxl-job, email
  mail:
    host: smtp.qq.com
    port: 25
    username: xxx@qq.com
    from: xxx@qq.com
    password: xxx
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
            required: true
          socketFactory:
            class: javax.net.ssl.SSLSocketFactory


#mybatis配置信息
mybatis:
  mapper-locations: classpath*:/mybatis-mapper/*Mapper.xml
  type-aliases-package: com.njcn.job.model

#项目日志的配置
logging:
  config: http://@nacos.url@/nacos/v1/cs/configs?tenant=@nacos.namespace@&group=DEFAULT_GROUP&dataId=logback.xml
  level:
    root: info

### xxl-job
### xxl-job, access token
xxl:
  job:
    accessToken:
    ### xxl-job, i18n (default is zh_CN, and you can choose "zh_CN", "zh_TC" and "en")
    i18n: zh_CN
    ## xxl-job, triggerpool max size
    triggerpool:
      fast:
        max: 200
      slow:
        max: 100
    ### xxl-job, log retention days
    logretentiondays: 30

### actuator
# 开放所有endpoint，实际生产根据自身需要开放，出于安全考虑不建议全部开放
management:
  endpoints:
    web:
      exposure:
        include: "*"
    health:
      show-details: "ALWAYS"
  health:
    mail:
      enabled: false













